Subject: NTFS/bash/rm -f interactions
From: [email-masked] (David Ascher)

23 Apr 1997 23:04:57 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <Pine.SGI.3.95q.970423191611.4710B-100000.cygnus.gnu-win32@maigret>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
X-Sender: da@maigret
Original-To: [email-masked]
Original-Sender: [email-masked]

I've been doing a lot of untarring, making, installing, rm -f'ing, and
periodically when rm -f'ing I get the following message:

rm: WARNING: Circular directory structure.
This almost certainly means that you have a corrupted file system.
NOTIFY YOUR SYSTEM MANAGER.
Cycle detected:
groff-1.10/mm/mm
is the same file as
groff-1.10

Now, I'm the system manager, and I do talk to myself a fair amount, but it
doesn't help much. =)

Is this a known bug?  I can remove the folder w/ the NT tools, so I assume
it's not *really* a corrupted fs, but someone tell me if I'm slowly (or
not so slowly) wreaking havoc.

I'm using 17.1, not patched (yet), and this is on an NTFS partition,
running NT4.

--da

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".